## localehelper 0.1.4

=== doc/Makefile ===
name = localehelper
uname = $(shell echo $(name) | tr a-z A-Z)
version = $(shell head -n1 changelog | cut -d ' ' -f2 | tr -d '()')

.PHONY: all
all: $(name).1

%.1: %.pod changelog
	sed -e 's/L<\([a-z_-]\+\)(\([0-9]\+\))>/B<\1>(\2)/' $(<) \
	| pod2man --utf8 -c '' -n $(uname) -r '$(name) $(version)' \
	> $(@).tmp
	mv $(@).tmp $(@)

.PHONY: clean
clean:
	rm -f *.1 *.tmp

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
localehelper (0.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.38: t/help.t failure": add patch from two upstream
    commits to replace given/when with plain if's.
    (Closes: #1042525)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Nov 2023 21:19:05 +0100

localehelper (0.1.4-3) unstable; urgency=medium

  * Updated priority to optional due to extra being deprecated
  * Updated debhelper compatibility to 10
  * Relaxed dependency "locales" to "locales | locales-all" as "locales-all"
    no longer provides "locales" (Closes: #839180)
  * Updated d/copyright

 -- Jonathan Ulrich Horn <debian@autoit4you.de>  Wed, 18 Oct 2017 22:55:23 +0200

localehelper (0.1.4-2) unstable; urgency=medium

  * Updated watch file as releases now happen on github (Closes: #825565)
  * Updated standards version. No changes needed
  * Changed priority to match override from FTP-Masters
  * Update packaging repository URLs

 -- Jonathan Ulrich Horn <debian@autoit4you.de>  Fri, 03 Jun 2016 00:26:29 +0200

localehelper (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #801064)

 -- Jonathan Ulrich Horn <debian@autoit4you.de>  Mon, 19 Oct 2015 18:00:40 +0200

=== debian/control ===
Source: localehelper
Section: utils
Priority: optional
Maintainer: Jonathan Ulrich Horn <debian@autoit4you.de>
Build-Depends: debhelper (>= 10),
               libperl-minimumversion-perl,
               locales | locales-all,
               perl(>=5.10)
Standards-Version: 3.9.8
Homepage: http://jwilk.net/software/localehelper
Vcs-Git: https://anonscm.debian.org/git/users/jonathanh-guest/localehelper.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/jonathanh-guest/localehelper.git

Package: localehelper
Architecture: all
Depends: locales, ${misc:Depends}, ${perl:Depends}
Description: locale helper tool
 Localehelper is a helper tool for working with locales.
 It can generate locales and (un)set environmental variables
 for internationalization purposes.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) --directory=doc all
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) --directory=doc clean
	dh_auto_clean

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	prove --verbose
	dh_auto_test
endif

## localehelper 0.1.7

=== Makefile ===
# Copyright © 2018-2021 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

PERL = perl

PREFIX = /usr/local
DESTDIR =

bindir = $(PREFIX)/bin
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

.PHONY: install
install: localehelper
	install -d $(DESTDIR)$(bindir)
	perl -MConfig -p -e '$$. == 1 and s/#!.*/$$Config{startperl}/' \
		$(<) > $(<).tmp
	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
	rm $(<).tmp
ifeq "$(wildcard doc/localehelper.1)" ""
	# run "$(MAKE) -C doc" to build the manpage
else
	install -d $(DESTDIR)$(mandir)/man1/
	install -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/$(<).1
endif

.PHONY: test
test:
	prove --verbose

.PHONY: test-installed
test-installed: $(or $(shell command -v localehelper;),$(bindir)/localehelper)
	LOCALEHELPER_COMMANDLINE=localehelper prove --verbose

.PHONY: clean
clean:
	rm -f *.tmp

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
# Copyright © 2013-2022 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

version = $(shell IFS='()' read _ v _ < changelog && echo $$v)

.PHONY: all
all: localehelper.1

localehelper.1: manpage.pod changelog
	perl -p -e 's/L<([a-z_-]+)[(]([0-9]+)[)]>/B<\1>(\2)/g' $(<) \
	| pod2man --utf8 -c '' -n LOCALEHELPER -r 'localehelper $(version)' \
	> $(@).tmp
	mv $(@).tmp $(@)

.PHONY: check
check: check-changelog check-pod check-rst

.PHONY: check-changelog
check-changelog: changelog
	dpkg-parsechangelog -l$(<) --all 2>&1 >/dev/null | { ! grep .; }

.PHONY: check-pod
check-pod: manpage.pod
	podchecker -warnings -warnings $(<)

rst2xml = $(notdir $(shell command -v rst2xml || echo rst2xml.py))

.PHONY: check-rst
check-rst:
	$(rst2xml) --input-encoding=UTF-8 --strict README > /dev/null

.PHONY: clean
clean:
	rm -f *.1 *.tmp

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
localehelper (0.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintain in Package Salvaging Team
    Closes: #1092990
  * Secure URI for Homepage
  * Fix watch file
  * Depends: locales | locales-all
    Closes: #839180
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2025 07:24:56 +0100

=== debian/control ===
Source: localehelper
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Jonathan Ulrich Horn <debian@autoit4you.de>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libperl-minimumversion-perl,
               locales | locales-all,
               perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/localehelper
Vcs-Git: https://salsa.debian.org/salvage-team/localehelper.git
Homepage: https://jwilk.net/software/localehelper

Package: localehelper
Architecture: all
Depends: locales | locales-all,
         ${misc:Depends},
         ${perl:Depends}
Description: locale helper tool
 Localehelper is a helper tool for working with locales.
 It can generate locales and (un)set environmental variables
 for internationalization purposes.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+
 %:
 	dh $@
 
@@ -9,9 +12,13 @@
 override_dh_auto_clean:
 	$(MAKE) --directory=doc clean
 	dh_auto_clean
+	cp -a debian/upstream/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz.asc ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	prove --verbose
 	dh_auto_test
 endif
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://jwilk.net/software/localehelper .*/releases/download/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
